import objectdraw.*;
import java.awt.*;

// A class that constructs a panel that can be used to experiment with the
// behavior of the "length" method of the String class.

public class LengthTester extends StringInput implements StringOpTester {

    // Perform "length" operation when requested
    public String doIt() {
	return "" + sourceField.getText().length();
    }
    
    // Return the name of the method this class invokes
    public String getChoiceLabel() {
	return "length";
    }
    
	// Return the name of the method this class invokes
	public String toString() {
	return "length";
	}
}
